
import java.net.URL;
import java.io.InputStream;
import java.io.ByteArrayInputStream;
import java.io.IOException;
import java.util.logging.Logger;

public class BundleLoader extends ClassLoader
{
   /*
    * assume ResourceBundle calls getResourceAsStream.
    */
   public InputStream getResourceAsStream (String name) 
   {
      if (name.equals ("TestBundle.properties"))
      {
         return new ByteArrayInputStream (new byte[0]);
      }

      return null;
   }

   public static void main (String[] args)
   {
      Thread.currentThread().setContextClassLoader (new BundleLoader ());

      try
      {
         System.out.println (Logger.getLogger ("test", "TestBundle"));
      }
      catch (Exception _) { _.printStackTrace (); }

   }
}
